import TestVideo from '@wisdom-components/VmsVideo';
import { Modal } from 'antd';
import React from 'react';
import styles from './index.less';


const VideoPopUp = (props) => {
  const { ModalInfo, VideoInfo, JessibucaObj } = props;
  const _JessibucaObj = {
    operateBtns: {
      screenshot: false,
    },
    loadingText: '演示视频加载中',
    decoder: '/JessibucaVideo/decoder.js',
    ...JessibucaObj,
  };


  return (
    <Modal
      title='视频预览'
      width="60vw"
      wrapClassName={styles.channelModal}
      maskClosable={false}
      footer={null}
      {...ModalInfo}
    >
      <div className={styles.videobox}>
        <TestVideo VideoInfo={VideoInfo} JessibucaObj={_JessibucaObj} />
      </div>
    </Modal>
  );
};
export default VideoPopUp;
